<template>
    <div class="user-menu">
      <div class="menu-item" @click="logOut">
        <label>Đăng xuất</label>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: "UserMenu",
    methods: {
      logOut(){      
        this.$store.dispatch('logOut')
        this.$emit('onLogOut')
        window.location.reload()
      },
    }
  }
  </script>
  
  <style scoped>  
  .user-menu{
    font-size: 16px;
    position: absolute;
    width: 100px;
    top: 20px;
    right: 0px;
    background: white;
    border: 1px solid #cecece;
    z-index: 10;
    display: flex;
    flex-direction: column;
  }
  
  .menu-item{
    display: flex;
    align-items: center;
    padding: 10px;
  }
  
  .menu_icon{
    fill: #666;
  }
  .menu_item label{
    padding: 0px 10px;
  }
  
  .menu-item:hover{
    cursor: pointer;
  }
  
  </style>